Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECFieldElement

    java.lang.Object
      |
      +--org.bouncycastle.math.ec.ECFieldElement

All Implemented Interfaces:
  ECConstants

Direct Known Subclasses:
  ECFieldElement.Fp

public abstract class ECFieldElement
extends java.lang.Object
implements ECConstants

Inner Class Summary
`static class` | `ECFieldElement.Fp`

Fields inherited from interface org.bouncycastle.math.ec.ECConstants
`ONE, ZERO`

Constructor Summary
`protected` | `ECFieldElement(java.math.BigInteger q, java.math.BigInteger x)`

Method Summary
`abstract ECFieldElement` | `add(ECFieldElement b)`
`abstract ECFieldElement` | `divide(ECFieldElement b)`
`boolean` | `equals(java.lang.Object other)`
`abstract java.lang.String` | `getFieldName()`
`abstract ECFieldElement` | `invert()`
`abstract ECFieldElement` | `multiply(ECFieldElement b)`
`abstract ECFieldElement` | `negate()`
`abstract ECFieldElement` | `sqrt()`
`abstract ECFieldElement` | `square()`
`abstract ECFieldElement` | `subtract(ECFieldElement b)`
`java.math.BigInteger` | `toBigInteger()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECFieldElement

    protected ECFieldElement(java.math.BigInteger q,
                             java.math.BigInteger x)

Method Detail

### toBigInteger

    public java.math.BigInteger toBigInteger()

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### getFieldName

    public abstract java.lang.String getFieldName()

### add

    public abstract ECFieldElement add(ECFieldElement b)

### subtract

    public abstract ECFieldElement subtract(ECFieldElement b)

### multiply

    public abstract ECFieldElement multiply(ECFieldElement b)

### divide

    public abstract ECFieldElement divide(ECFieldElement b)

### negate

    public abstract ECFieldElement negate()

### square

    public abstract ECFieldElement square()

### invert

    public abstract ECFieldElement invert()

### sqrt

    public abstract ECFieldElement sqrt()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD